Bug 22690 - Dell Latitude C600 and Florence
Summary: Dell Latitude C600 and Florence
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel   
(Show other bugs)
Version: 7.1
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Michael K. Johnson
QA Contact: Need Real Name
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-12-21 20:31 UTC by Rogelio Noriega
Modified: 2007-04-18 16:30 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-01-30 21:33:00 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
lsmod (971 bytes, text/plain)
2001-01-30 16:32 UTC, Dan Taylor
no flags Details
lspci info (2.84 KB, text/plain)
2001-01-30 16:32 UTC, Dan Taylor
no flags Details
lspci info (2.84 KB, text/plain)
2001-01-30 16:32 UTC, Dan Taylor
no flags Details
dmesg (6.50 KB, text/plain)
2001-01-30 16:33 UTC, Dan Taylor
no flags Details

Description Rogelio Noriega 2000-12-21 20:31:42 UTC
While trying to run sndconfig on a Dell Latitude C600 the following 
message was displayed.

The module used for your card,     
maestro3.o, is not currently in    
your module search path. Please    
verify that your kernel modules    
are correctly installed.

When I tried to insmod maestro.o the system returned


/lib/modules/2.4.0-0.43.6/kernel/drivers/sound/maestro.o: unresolved 
symbol unregister_sound_mixer_R7afc9d8a
/lib/modules/2.4.0-0.43.6/kernel/drivers/sound/maestro.o: unresolved 
symbol register_sound_dsp_R2dae0801
/lib/modules/2.4.0-0.43.6/kernel/drivers/sound/maestro.o: unresolved 
symbol unregister_sound_dsp_Rcd083b10
/lib/modules/2.4.0-0.43.6/kernel/drivers/sound/maestro.o: unresolved 
symbol register_sound_mixer_Rf605bf1c

Comment 1 Bill Nottingham 2000-12-21 20:36:26 UTC
In general, use modprobe, not insmod.

In specific, maestro is *not* compatible with maestro3. I'm fairly sure the
maestro3 driver isn't in the 2.4 kernel package currently.

Assigning there.

Comment 2 Yu-Pa Ng 2001-01-09 18:35:39 UTC
working in Beta 2

Comment 3 Mick Tantasirikorn 2001-01-09 19:18:01 UTC
earlier note is my mistake, the audio is still not working in Beta2. Maestro 3 
mod is not loaded

Comment 4 Dan Taylor 2001-01-30 16:30:33 UTC
Running sndconfig now finds maestro 3I:ES1983S.  When it tries to play the 
sample sound it just gives a buzzing sound from the speaker. The module does 
actually load now though.  I'm attaching lspci -v, lsmod, and dmesg.

Comment 5 Dan Taylor 2001-01-30 16:31:18 UTC
clarification... now means with beta 3/fisher.

Comment 6 Dan Taylor 2001-01-30 16:32:15 UTC
Created attachment 8500 [details]
lsmod

Comment 7 Dan Taylor 2001-01-30 16:32:41 UTC
Created attachment 8501 [details]
lspci info

Comment 8 Dan Taylor 2001-01-30 16:32:42 UTC
Created attachment 8502 [details]
lspci info

Comment 9 Dan Taylor 2001-01-30 16:33:26 UTC
Created attachment 8503 [details]
dmesg

Comment 10 Michael K. Johnson 2001-01-30 21:32:56 UTC
We just integrated a new maestro3 driver into our current
source tree.  Test again whenever you see a kernel version
higher than 0.99.16 come through.

Comment 11 Dan Taylor 2001-02-20 18:46:52 UTC
Working as of Wolverine.


Note You need to log in before you can comment on or make changes to this bug.